### Method

# Gimp Gradient segment_range_delete

since: 2.2

#### Declaration [src]

    gboolean
    gimp_gradient_segment_range_delete (
      GimpGradient* gradient,
      gint start_segment,
      gint end_segment
    )

#### Description [src]

Delete the segment range

Deletes a range of segments. Returns an error when a segment index is out of range, or gradient is not editable. Deleting all the segments is undefined behavior.

Available since: 2.2

#### Parameters

`start_segment`

  Type: `gint`

  Index of the first segment to operate on.

`end_segment`

  Type: `gint`

  Index of the last segment to operate on. If negative, the range will extend to the end segment.

#### Return value

Type: `gboolean`

TRUE on success.